#ifndef __OEMCLIENTAUTHDISP_H__
#define __OEMCLIENTAUTHDISP_H__

#include "AEEStdLib.h"
#include "AEEShell.h"
//makise[S]
//#include "utils.h"
//makise[E]

/* このヘッダの定義はOEMClientAuth.cからも参照します。 */
/* このヘッダに改変を加える場合はOEMClientAuth.cも改変する必要があります。*/

typedef void * POEMCLIENTAUTHDISP;

POEMCLIENTAUTHDISP ClientAuthDisp_New(IShell * pIShell);
void ClientAuthDisp_Delete(POEMCLIENTAUTHDISP pme);
void ClientAuthDisp_StartSSL(POEMCLIENTAUTHDISP pme);
void ClientAuthDisp_StartAuthentication(POEMCLIENTAUTHDISP pme);
void ClientAuthDisp_Stop(POEMCLIENTAUTHDISP  pme);

#endif /* __OEMCLIENTAUTHDISP_H__ */
